<?php

namespace App\Models;

use App\User;

use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{
    protected $table = 'transfers';
    protected $fillable = ['username', 'amount', 'image', 'bank_id', 'transfer_date', 'mobile', 'full_name', 'product_number', 'notes', 'seen'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function bank()
    {
        return $this->belongsTo(Banks::class, 'bank_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
